import * as Lib from "@metabase/embedding-sdk-react/dist/frontend/src/metabase-lib";
import type { ColumnOption } from "./types";
export declare function getColumnOptions(query: Lib.Query, stageIndex: number, columns: Lib.ColumnMetadata[]): ColumnOption[];
export declare function getInitialOption(query: Lib.Query, stageIndex: number, options: ColumnOption[], secondColumn?: Lib.ColumnMetadata): ColumnOption | undefined;
export declare function getColumnPlaceholder(column: Lib.ColumnMetadata): string;
